%% This file is GUThesis.cls
%%
%% Copyright 2013 by Dr. Naimeh Onagh
%%
%%  GU Thesis, Golestan University, Gorgan, Iran.
%%
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{GUThesis}
        [2013/8/11: GU Thesis class (Author: Naimeh Onagh)]
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{book}}
\ProcessOptions
\LoadClass{book}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\usepackage{amsthm,amssymb,amsmath}
\usepackage{amsmath,array}
\usepackage{calc}
\usepackage{mathrsfs}
\usepackage{fancybox}
\usepackage{fancyhdr}
\usepackage[all]{xy}
\usepackage{setspace}
\usepackage{colortbl}
\usepackage[table]{xcolor}
\usepackage{zref-perpage}
%\usepackage[pdftex]{color,graphicx}
\usepackage{graphicx}
\usepackage{tabulary}
\usepackage{multirow}
%\usepackage{slashbox}
%\usepackage{pict2e}
\usepackage{longtable}
%\usepackage{makeidx}
%\makeindex‎
\usepackage{xepersian}
\zmakeperpage{footnote}
\settextfont[Scale=1]{XB Niloofar}
\setdigitfont[Scale=1]{Parsi Digits}
\usepackage[left=4cm,top=5.6cm,bottom=5.6cm,right=4cm,head=2.5cm,foot=1.5cm, ]{geometry}
\headsep=0.6cm   
\renewcommand{\baselinestretch}{1.4}
\renewcommand\headrule{\hrule height 0.5pt width\headwidth                  
\vspace{1pt}%                     

\hrule height 0.5pt width\headwidth                  
\vspace{-4pt}}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\defpersianfont\chaptertitlefont[Scale=1]{XB Niloofar}

\makeatletter
\newcommand\mycustomraggedleft{%
 \if@LTR\raggedleft%
 \else\raggedleft%
 \fi}
\def\@part[#1]#2{%
\ifnum \c@secnumdepth >-2\relax
\refstepcounter{part}%
\addcontentsline{toc}{part}{\thepart\hspace{1em}#1}%
\else
\addcontentsline{toc}{part}{#1}%
\fi
\markboth{}{}%
{\centering
\interlinepenalty \@M
\ifnum \c@secnumdepth >-2\relax
 \huge\bfseries \partname\nobreakspace\thepart
\par
\vskip 30\p@
\fi
\huge\bfseries #2\par}%
\@endpart}
\def\@makechapterhead#1{%
  \vspace*{40\p@}%
  {\parindent \z@ 
  \raggedleft
   \normalfont
    \ifnum \c@secnumdepth >\m@ne
      \if@mainmatter
        \huge\bfseries \@chapapp\space \thechapter
        \par\nobreak
        \vskip 30\p@
      \fi
    \fi
    \interlinepenalty\@M
    \Huge \bfseries
        \raggedleft
       %\raggedright
     {\chaptertitlefont    #1}
     \par\nobreak
     \vskip 55\p@
  % \newpage
  }}
\makeatother
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\csname@twosidetrue\endcsname
\pagestyle{fancy}
 \renewcommand{\chaptermark}[1]{%
\markboth{ \small فصل \thechapter.\ #1}{}}
\renewcommand{\sectionmark}[1]{%
      \markright{\small بخش \thesection.\ #1}}
\fancyhf{}
\fancyhead[EL]{\slshape\leftmark}
\fancyhead[OR]{\slshape\rightmark}
\fancyhead[OL,ER]{\slshape \thepage}      
%%%%%%%%%%%%%%%%%%%%%%%
\newcommand\persiangloss[2]{#1\dotfill\lr{#2}\\}
\newcommand\romangloss[2]{#1\dotfill\lr{#2}\\}
\newenvironment{myproof1}{\noindent{\bf\textit{اثبات.~~}}}{\hfill$\blacksquare$}
\newenvironment{myproof11}{\noindent{\bf\textit{اثبات.~~}}}{\hfill$\diamondsuit$}
\newenvironment{myproof12}{\noindent{\bf\textit{اثبات.~~}}}{\hfill$\heartsuit$}
\newenvironment{myproof13}{\noindent{\bf\textit{اثبات.~~}}}{\hfill$\clubsuit$}
\newenvironment{myproof14}{\noindent{\bf\textit{اثبات.~~}}}{\hfill$\spadesuit$}
\newenvironment{myproof15}{\noindent{\bf\textit{اثبات.~~}}}{\hfill$\blacklozenge$}
\newenvironment{myproof2}{\noindent{\bf\textit{برهان.~~}}}{\hfill$\square$}
\newenvironment{myproof21}{\noindent{\bf\textit{برهان.~~}}}{\hfill$\blacksquare$}
\newenvironment{myproof22}{\noindent{\bf\textit{برهان.~~}}}{\hfill$\diamondsuit$}
\newenvironment{myproof23}{\noindent{\bf\textit{برهان.~~}}}{\hfill$\heartsuit$}
\newenvironment{myproof24}{\noindent{\bf\textit{برهان.~~}}}{\hfill$\clubsuit$}
\newenvironment{myproof25}{\noindent{\bf\textit{برهان.~~}}}{\hfill$\spadesuit$}
\newenvironment{myproof26}{\noindent{\bf\textit{برهان.~~}}}{\hfill$\blacklozenge$}
\newenvironment{myproof3}{\noindent{\bf\textit{حل.~~}}}{\hfill$\square$}
\newenvironment{myproof31}{\noindent{\bf\textit{حل.~~}}}{\hfill$\blacksquare$}
\newenvironment{myproof32}{\noindent{\bf\textit{حل.~~}}}{\hfill$\diamondsuit$}
\newenvironment{myproof33}{\noindent{\bf\textit{حل.~~}}}{\hfill$\heartsuit$}
\newenvironment{myproof34}{\noindent{\bf\textit{حل.~~}}}{\hfill$\clubsuit$}
\newenvironment{myproof35}{\noindent{\bf\textit{حل.~~}}}{\hfill$\spadesuit$}
\newenvironment{myproof36}{\noindent{\bf\textit{حل.~~}}}{\hfill$\blacklozenge$}


\newtheorem{theorem}{قضیه}[section]
\newtheorem{lemma}[theorem]{لم}
\newtheorem{proposition}[theorem]{گزاره}
\newtheorem{corollary}[theorem]{نتیجه}
\newtheorem{example}[theorem]{مثال}
\newtheorem{remark}[theorem]{تذکر}
\newtheorem{notation}[theorem]{نماد گذاری}
\newtheorem{observation}[theorem]{مشاهده}
\newtheorem{note}[theorem]{نکته}
\newtheorem{problem}[theorem]{مساله}
\newtheorem{definition}[theorem]{تعریف}
%\renewcommand\proofname{\textbf{برهان}}
\renewcommand\proofname{\textbf{اثبات}}
%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%
\numberwithin{figure}{section}
\numberwithin{equation}{section}
\numberwithin{table}{section}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\defpersianfont\nastaliq[Scale=1.3]{IranNastaliq}
\defpersianfont\shafigh[Scale=1.3]{XB Shafigh}
\defpersianfont\tabriz[Scale=1.2]{XB Tabriz}
\defpersianfont\vahid[Scale=1.2]{XM Vahid}
\defpersianfont\niloofar[Scale=1.3]{XB Niloofar}
\defpersianfont\sols[Scale=3.5]{XB Sols}
\deflatinfont\arial[Scale=1]{Arial}
\deflatinfont\cambria[Scale=1.2]{Cambria}
\deflatinfont\aristocrat[Scale=.7]{Aristocrat}
\deflatinfont\amphion[Scale=.9]{Amphion}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%